Description: <short summary of the patch>
 TODO: Put a short summary on the line above and replace this paragraph
 with a longer explanation of this change. Complete the meta-information
 with other relevant fields (see below for details). To make it easier, the
 information below has been extracted from the changelog. Adjust it or drop
 it.
 .
 ktikz (0.13.2+ds1-1.1) UNRELEASED; urgency=medium
 .
   * Non-maintainer upload.
   * Build with QT6/KF6:
     - add new pathes
     - d/contron: correct B-D
   * Update standards version to 4.7.2, no changes needed.
Author: Damir R. Islamov <damir@trefle.ru>

---
The information above should follow the Patch Tagging Guidelines, please
checkout https://dep.debian.net/deps/dep3/ to learn about the format. Here
are templates for supplementary fields that you might want to add:

Origin: (upstream|backport|vendor|other), (<patch-url>|commit:<commit-id>)
Bug: <upstream-bugtracker-url>
Bug-Debian: https://bugs.debian.org/<bugnumber>
Bug-Ubuntu: https://launchpad.net/bugs/<bugnumber>
Forwarded: (no|not-needed|<patch-forwarded-url>)
Applied-Upstream: <version>, (<commit-url>|commit:<commid-id>)
Reviewed-By: <name and email of someone who approved/reviewed the patch>
Last-Update: 2025-04-09

--- ktikz-0.13.2+ds1.orig/common/templatewidget.cpp
+++ ktikz-0.13.2+ds1/common/templatewidget.cpp
@@ -19,7 +19,8 @@
 #include "templatewidget.h"
 
 #ifdef KTIKZ_USE_KDE
-#include <KRun>
+#include <KIO/OpenUrlJob>
+#include <KIO/JobUiDelegate>
 #include <kio_version.h>
 #endif
 
@@ -183,11 +183,10 @@ void TemplateWidget::editTemplateFile()
 	editorArguments << ui.templateCombo->currentText();
 
 #ifdef KTIKZ_USE_KDE
- #if ( (KIO_VERSION_MAJOR >= 5)  && ( KIO_VERSION_MINOR > 31 ) )
-  KRun::runUrl( Url( fileName() ), QStringLiteral( "text/plain" ), NULL,  KRun::RunExecutables, QString() );
-#else
-  KRun::runUrl( Url( fileName() ), QStringLiteral( "text/plain" ), NULL,  0 );
-#endif
+	auto *job = new KIO::OpenUrlJob(Url( fileName() ), QStringLiteral( "text/plain" ));
+	//job->setUiDelegate(new KIO::JobUiDelegate(KJobUiDelegate::AutoHandlingEnabled, NULL));
+	job->setRunExecutables(true);
+	job->start();
 #else
 	QProcess process;
 	process.startDetached(m_editor, editorArguments);
